clang-tools 6.0.0

Functions
clang::tidy::utils::lexer Namespace Reference

## Functions
Token | getPreviousToken (const ASTContext &Context, SourceLocation Location, bool SkipComments=true)
| Returns previous token or `tok::unknown` if not found. More...

## Function Documentation

## ◆ getPreviousToken()

Token clang::tidy::utils::lexer::getPreviousToken | ( | const ASTContext & | Context,
|  | SourceLocation | Location,
|  | bool | SkipComments
| ) |  |

Returns previous token or `tok::unknown` if not found.

Definition at line 17 of file LexerUtils.cpp.

Referenced by clang::tidy::misc::SuspiciousSemicolonCheck::check(), and clang::tidy::bugprone::getCommentsBeforeLoc().